mbed_lstools.platform_database Namespace Reference

## Classes

class | PlatformDatabase

## Variables

| unicode = str
| logger = logging.getLogger("mbedls.platform_database")
| LOCAL_PLATFORM_DATABASE = join(user_data_dir("mbedls"), "platforms.json")
| LOCAL_MOCKS_DATABASE = join(user_data_dir("mbedls"), "mock.json")
dictionary | DEFAULT_PLATFORM_DB

## Detailed Description

    mbed SDK
    Copyright (c) 2017 ARM Limited

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

## Variable Documentation

## DEFAULT_PLATFORM_DB

dictionary mbed_lstools.platform_database.DEFAULT_PLATFORM_DB

Definition at line 45 of file platform_database.py.

## LOCAL_MOCKS_DATABASE

mbed_lstools.platform_database.LOCAL_MOCKS_DATABASE = join(user_data_dir("mbedls"), "mock.json")

Definition at line 43 of file platform_database.py.

## LOCAL_PLATFORM_DATABASE

mbed_lstools.platform_database.LOCAL_PLATFORM_DATABASE = join(user_data_dir("mbedls"), "platforms.json")

Definition at line 42 of file platform_database.py.

## logger

mbed_lstools.platform_database.logger = logging.getLogger("mbedls.platform_database")

Definition at line 38 of file platform_database.py.

## unicode

mbed_lstools.platform_database.unicode = str

Definition at line 34 of file platform_database.py.